---
updatedAt: 2026-08-21T04:31:07.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get a List of Block Identifiers

Returns a list of minimal block data, block headers such as block hash and block number.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `5` (paginated)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Enter the parameters available below.
> 3. Click **Try It!**.

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
  	width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px; /* Approx height for 5 rows */
    overflow-y: scroll; /* Always show scrollbar */
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  /* Tooltip styles */
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  /* Only two colors: white and light gray */
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff; /* white */
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5; /* light gray */
  }

  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34; /* dark gray */
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66; /* lighter gray */
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
<thead>
  <tr>
    <th>Protocol</th>
    <th>Network</th>
    <th>Path Parameter</th>
  </tr>
</thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche/mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche/testnet-c</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum/sepolia</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum/hoodi</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Optimism</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">optimism/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot/westend</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon/mainnet</code></td>
  </tr>
</tbody>


    </table>
  </div>
</div>
</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Blocks"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/block_identifiers": {
      "get": {
        "summary": "Get a List of Block Identifiers",
        "description": "Returns a list of minimal block data, block headers such as block hash and block number.\n",
        "operationId": "GetBlockIdentifiers",
        "tags": [
          "Blocks"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "protocol",
            "required": true,
            "description": "Protocol handle, one of: `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`,`litecoin`, `optimism`, `polkadot`, `polygon`, `tezos`.\n",
            "schema": {
              "type": "string",
              "default": "bitcoin"
            },
            "examples": {
              "Bitcoin": {
                "value": "bitcoin"
              }
            }
          },
          {
            "$ref": "#/components/parameters/network"
          },
          {
            "$ref": "#/components/parameters/order"
          },
          {
            "$ref": "#/components/parameters/page_token"
          },
          {
            "$ref": "#/components/parameters/page_size"
          }
        ],
        "responses": {
          "200": {
            "description": "Block headers",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/block_identifiers"
                },
                "example": {
                  "total": 4,
                  "data": [
                    {
                      "number": 801213,
                      "id": "00000000000000000003e55c378fc43ca713cf99c1fd3449f078ffb4b1e20ada",
                      "parent_id": "000000000000000000055f45ce21d95738078b7ea23ff85ec100be918c12ec32",
                      "date": 1690898216,
                      "num_txs": 3882
                    },
                    {
                      "number": 801212,
                      "id": "000000000000000000055f45ce21d95738078b7ea23ff85ec100be918c12ec32",
                      "parent_id": "00000000000000000004616ffe61261f00be8a8d993d28ac4f3bfc205a32cd46",
                      "date": 1690897709,
                      "num_txs": 6449
                    },
                    {
                      "number": 801211,
                      "id": "00000000000000000004616ffe61261f00be8a8d993d28ac4f3bfc205a32cd46",
                      "parent_id": "00000000000000000002f10a83cb5f0823bc7bf60328472939c7ff630ee51969",
                      "date": 1690897657,
                      "num_txs": 3957
                    },
                    {
                      "number": 801210,
                      "id": "00000000000000000002f10a83cb5f0823bc7bf60328472939c7ff630ee51969",
                      "parent_id": "00000000000000000002e505ccfa3d5a4c2c9175c678e3ba7d8d2c0e1f5b7b9d",
                      "date": 1690897018,
                      "num_txs": 3673
                    }
                  ],
                  "meta": {
                    "paging": {
                      "next_page_token": "ODAxMjEw"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        },
        "x-internal": false
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "BadRequest": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "block_identifier": {
        "type": "object",
        "properties": {
          "number": {
            "type": "integer",
            "format": "int64",
            "description": "The block number.",
            "example": 8000000
          },
          "id": {
            "type": "string",
            "description": "The block hash.",
            "example": "0x123456070D674D44a7F9cb4Ab272bd88fAd004b5"
          },
          "parent_id": {
            "type": "string",
            "description": "The parent block hash.",
            "example": "0xfcf029ffd36a6714aae09dcc7acbdd8f2b96327f"
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The block date in Unix timestamp format.",
            "example": 1571222657
          },
          "num_txs": {
            "type": "integer",
            "description": "The amount of transaction in the block.",
            "example": 10
          }
        }
      },
      "block_identifiers": {
        "type": "object",
        "properties": {
          "total": {
            "type": "integer",
            "description": "The number of items in block identifiers.",
            "example": 25
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/block_identifier"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      },
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "meta": {
        "type": "object",
        "description": "The meta details.",
        "nullable": true,
        "properties": {
          "paging": {
            "$ref": "#/components/schemas/paging"
          }
        }
      },
      "paging": {
        "type": "object",
        "description": "The pagination details.",
        "properties": {
          "next_page_token": {
            "type": "string",
            "description": "The next page token to use in the following request."
          }
        }
      }
    },
    "parameters": {
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      },
      "order": {
        "name": "order",
        "in": "query",
        "description": "The pagination order.",
        "schema": {
          "type": "string",
          "enum": [
            "desc",
            "asc"
          ],
          "default": "desc"
        }
      },
      "page_token": {
        "name": "page_token",
        "in": "query",
        "required": false,
        "description": "The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter.",
        "schema": {
          "type": "string"
        },
        "example": "8185.123"
      },
      "page_size": {
        "name": "page_size",
        "in": "query",
        "required": false,
        "description": "Max number of items to return in a response.\nDefaults to 25 and is capped at 100.\n",
        "schema": {
          "type": "integer"
        },
        "example": 25
      }
    }
  }
}
```